## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

Name:           python-datanommer-commands
Version:        1.4.3
Release:        2%{?dist}
Summary:        Console commands for datanommer

License:        GPL-3.0-or-later
URL:            https://pypi.org/project/datanommer.commands
Source:         %{pypi_source datanommer_commands}

BuildArch:      noarch
BuildRequires:  python3-devel

# Test dependencies
#BuildRequires:  python3dist(pytest)
#BuildRequires:  python3dist(pytest-postgresql)

%global _description %{expand:
Console commands for datanommer. }

%description %_description

%package -n python3-datanommer-commands
Summary:        %{summary}

%description -n python3-datanommer-commands %_description


%prep
%autosetup -p1 -n datanommer_commands-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -L datanommer


# The tests suites requires the messaging schema that are currently not packaged
# in Fedora. We can try to make the %%pytest macro running later when they are available.
%check
%pyproject_check_import -t


%files -n python3-datanommer-commands -f %{pyproject_files}
%doc README.*
%license LICENSE
%{_bindir}/datanommer-create-db
%{_bindir}/datanommer-dump
%{_bindir}/datanommer-extract-users
%{_bindir}/datanommer-latest
%{_bindir}/datanommer-stats


%changelog
## START: Generated by rpmautospec
* Wed Jun 11 2025 Michal Konecny <mkonecny@redhat.com> - 1.4.3-2
- Rebuilt for python 3.14

* Tue Jun 10 2025 Packit <hello@packit.dev> - 1.4.3-1
- Update to 1.4.3 upstream release
- Resolves: rhbz#2371461

* Sat Jun 07 2025 Python Maint <python-maint@redhat.com> - 1.4.1-3
- Rebuilt for Python 3.14

* Sat Jun 07 2025 Michal Konecny <mkonecny@redhat.com> - 1.4.1-2
- Add packit config

* Mon Jun 02 2025 Michal Konecny <mkonecny@redhat.com> - 1.4.1-1
- Bump to version 1.4.1

* Thu May 29 2025 Michal Konecny <mkonecny@redhat.com> - 1.3.0-2
- Commit new .gitignore file

* Thu May 29 2025 Michal Konecny <mkonecny@redhat.com> - 1.3.0-1
- Migrate from datanommer-commands
## END: Generated by rpmautospec
